No GPU usage

inxi -G

Graphics:
  Device-1: Intel 4th Generation Core Processor Family Integrated Graphics
    driver: i915 v: kernel
  Device-2: NVIDIA GK208B [GeForce GT 710] driver: nouveau v: kernel
  Display: x11 server: X.Org v: 21.1.4 driver: X: loaded: intel,nouveau
    unloaded: modesetting gpu: nouveau resolution: 1920x1080~60Hz
  OpenGL: renderer: NV106 v: 4.3 Mesa 22.1.7

inxi -Faz

result
System:
  Kernel: 5.15.69-1-lts arch: x86_64 bits: 64 compiler: gcc v: 12.2.0
    parameters: BOOT_IMAGE=/boot/vmlinuz-linux-lts
    root=UUID=a4a584ae-cc48-408c-a2e9-81717e90b1e9 rw
    resume=UUID=19edd7eb-4b7d-4cfe-9686-fcc62ca17771 loglevel=3 nowatchdog
    nvme_load=YES
  Desktop: Xfce v: 4.16.1 tk: Gtk v: 3.24.34 info: xfce4-panel wm: xfwm
    v: 4.16.1 vt: 7 dm: LightDM v: 1.32.0 Distro: EndeavourOS base: Arch Linux
Machine:
  Type: Desktop Mobo: Gigabyte model: B85M-D3H-A serial: <superuser required>
    BIOS: American Megatrends v: F2 date: 08/04/2015
CPU:
  Info: model: Intel Core i3-4130 bits: 64 type: MT MCP arch: Haswell
    gen: core 4 level: v3 built: 2013-15 process: Intel 22nm family: 6
    model-id: 0x3C (60) stepping: 3 microcode: 0x28
  Topology: cpus: 1x cores: 2 tpc: 2 threads: 4 smt: enabled cache:
    L1: 128 KiB desc: d-2x32 KiB; i-2x32 KiB L2: 512 KiB desc: 2x256 KiB
    L3: 3 MiB desc: 1x3 MiB
  Speed (MHz): avg: 3391 high: 3393 min/max: 800/3400 scaling:
    driver: intel_cpufreq governor: schedutil cores: 1: 3392 2: 3387 3: 3393
    4: 3392 bogomips: 27135
  Flags: avx avx2 ht lm nx pae sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx
  Vulnerabilities:
  Type: itlb_multihit status: KVM: VMX disabled
  Type: l1tf mitigation: PTE Inversion; VMX: conditional cache flushes, SMT
    vulnerable
  Type: mds mitigation: Clear CPU buffers; SMT vulnerable
  Type: meltdown mitigation: PTI
  Type: mmio_stale_data status: Unknown: No mitigations
  Type: retbleed status: Not affected
  Type: spec_store_bypass mitigation: Speculative Store Bypass disabled via
    prctl and seccomp
  Type: spectre_v1 mitigation: usercopy/swapgs barriers and __user pointer
    sanitization
  Type: spectre_v2 mitigation: Retpolines, IBPB: conditional, IBRS_FW,
    STIBP: conditional, RSB filling, PBRSB-eIBRS: Not affected
  Type: srbds mitigation: Microcode
  Type: tsx_async_abort status: Not affected
Graphics:
  Device-1: Intel 4th Generation Core Processor Family Integrated Graphics
    vendor: Gigabyte driver: i915 v: kernel arch: Gen-7.5 process: Intel 22nm
    built: 2013 ports: active: none empty: HDMI-A-1,HDMI-A-2,VGA-1
    bus-ID: 00:02.0 chip-ID: 8086:041e class-ID: 0300
  Device-2: NVIDIA GK208B [GeForce GT 710] vendor: ZOTAC driver: nouveau
    v: kernel non-free: series: 470.xx+ status: legacy-active (EOL~2023/24)
    arch: Fermi 2 code: GF119/GK208 process: TSMC 28nm built: 2010-16 pcie:
    gen: 2 speed: 5 GT/s lanes: 8 ports: active: HDMI-A-3
    empty: DVI-D-1,VGA-2 bus-ID: 01:00.0 chip-ID: 10de:128b class-ID: 0300
  Display: x11 server: X.Org v: 21.1.4 compositor: xfwm v: 4.16.1 driver:
    X: loaded: intel,nouveau unloaded: modesetting alternate: fbdev,nv,vesa
    gpu: nouveau display-ID: :0.0 screens: 1
  Screen-1: 0 s-res: 1920x1080 s-dpi: 96 s-size: 508x285mm (20.00x11.22")
    s-diag: 582mm (22.93")
  Monitor-1: HDMI-A-3 mapped: HDMI-3 model: HP 22f serial: <filter>
    built: 2019 res: 1920x1080 hz: 60 dpi: 102 gamma: 1.2
    size: 476x268mm (18.74x10.55") diag: 583mm (23") ratio: 15:9, 16:10
    modes: max: 1920x1080 min: 720x400
  OpenGL: renderer: NV106 v: 4.3 Mesa 22.1.7 direct render: Yes
Audio:
  Device-1: Intel Xeon E3-1200 v3/4th Gen Core Processor HD Audio
    driver: snd_hda_intel v: kernel bus-ID: 00:03.0 chip-ID: 8086:0c0c
    class-ID: 0403
  Device-2: Intel 8 Series/C220 Series High Definition Audio
    vendor: Gigabyte driver: snd_hda_intel v: kernel bus-ID: 00:1b.0
    chip-ID: 8086:8c20 class-ID: 0403
  Device-3: NVIDIA GK208 HDMI/DP Audio vendor: ZOTAC driver: snd_hda_intel
    v: kernel pcie: gen: 2 speed: 5 GT/s lanes: 8 bus-ID: 01:00.1
    chip-ID: 10de:0e0f class-ID: 0403
  Sound Server-1: ALSA v: k5.15.69-1-lts running: yes
  Sound Server-2: PulseAudio v: 16.1 running: no
  Sound Server-3: PipeWire v: 0.3.58 running: yes
Network:
  Device-1: Realtek RTL8111/8168/8411 PCI Express Gigabit Ethernet
    vendor: Gigabyte driver: r8169 v: kernel pcie: gen: 1 speed: 2.5 GT/s
    lanes: 1 port: d000 bus-ID: 03:00.0 chip-ID: 10ec:8168 class-ID: 0200
  IF: enp3s0 state: down mac: <filter>
  Device-2: TP-Link TL-WN823N v2/v3 [Realtek RTL8192EU] type: USB
    driver: rtl8192eu bus-ID: 3-9:4 chip-ID: 2357:0109 class-ID: 0000
  IF: wlan0 state: up mac: <filter>
Drives:
  Local Storage: total: 931.51 GiB used: 131.91 GiB (14.2%)
  SMART Message: Unable to run smartctl. Root privileges required.
  ID-1: /dev/sda maj-min: 8:0 vendor: Seagate model: ST1000DM003-1SB10C
    size: 931.51 GiB block-size: physical: 4096 B logical: 512 B
    speed: 3.0 Gb/s type: HDD rpm: 7200 serial: <filter> rev: CC43
    scheme: MBR
Partition:
  ID-1: / raw-size: 922.71 GiB size: 907.15 GiB (98.31%) used: 131.91 GiB
    (14.5%) fs: ext4 dev: /dev/sda1 maj-min: 8:1
Swap:
  Kernel: swappiness: 60 (default) cache-pressure: 100 (default)
  ID-1: swap-1 type: partition size: 8.8 GiB used: 0 KiB (0.0%)
    priority: -2 dev: /dev/sda2 maj-min: 8:2
Sensors:
  System Temperatures: cpu: 44.0 C mobo: N/A gpu: nouveau temp: 46.0 C
  Fan Speeds (RPM): N/A
Info:
  Processes: 191 Uptime: 4m wakeups: 0 Memory: 7.66 GiB used: 1.49 GiB
  (19.4%) Init: systemd v: 251 default: graphical tool: systemctl
  Compilers: gcc: 12.2.0 clang: 14.0.6 Packages: pm: pacman pkgs: 1141
  libs: 347 tools: yay Shell: Bash v: 5.1.16 running-in: xfce4-terminal
  inxi: 3.3.21

Followed this article.

sudo pacman -S nvidia-inst

nvidia-inst --drivers

NVIDIA card id: 128b
The nvidia-dkms version: 515.65.01-2
Series 515: not supported
Series 515: not supported
Series 470: supported (Nvidia: 470.141.03)
Series 390: supported (Nvidia: 390.154)

More info: https://www.nvidia.com/en-us/drivers/unix

But I choose opensource driver.

nvidia-inst --nouveau

Now I don’t know if it is setup correctly. :face_with_monocle:

image

image

  • Have you faced this problem ever again in Linux?
  • How/why do you think there is “no gpu usage”?
  • Rather, are you sure that the topic title is correct? Maybe “My awesome GUI utility does not show GPU usage for any GPU” would describe the issue better?
  • Have you tried starting any application/command, using nouveau specifically?
DRI_PRIME=1 firefox
  • Have you tried switcheroo?
1 Like

@shuvashish76

What is that awesome GUI app, btw?
:blush:

2 Likes

If you want to install Nvidia drivers you need to install the 470.xx version as your card is not supported by the current Nvidia drivers.

1 Like

Have you faced this problem ever again in Linux?

Never noticed it as I don’t play video games or use it for video editing.
(IDK why I purchased the graphics card :upside_down_face:, probably because I didn’t know the use of graphics card. Purchased whatever the salesman said necessary for the PC)

How/why do you think there is “no gpu usage”?

Because when I play videos on VLC it doesn’t show graphs/statistics on that GUI app.
It should show graphs like this.

the topic title is correct?

Umm… I thought short title is better, ok I’ll change the title if it is the GUI app issue.

Have you tried starting any application/command, using nouveau specifically? DRI_PRIME=1 firefox
Have you tried switcheroo?

I know nothing about that.

System Monitoring Center | AUR :smiley:

1 Like

But I installed opensource driver with nvidia-inst --nouveau. Any issue if I use opensource driver?

I think driver is installed properly, how to check if my GPU is being used when e.g. watching videos on VLC? Any commands for that or other GUI app?

Nice, thank you!

1 Like

It is absolutely relevant to your system, being with more than one GPUs.
Try that command and search FF support page for nouveau.
Read more at Archwiki.

Try that command and search FF support page for nouveau .

Firefox? I don’t use FF. I’m using Librewolf & Ungoogled chromium.
Ok I’ll check it out.

Read more at Archwiki.

Too much info there, I’ll check it later.

How to enable for VLC?

The time you have spent in posting and reading this forum should be less than what is required to read one article.
I respect your decisions, as I would expect you respect mine to not serve disrespectful and lazy individuals. :no_mouth:

I think it might just be that there’s no support to see GPU usage on Nouveau, power management isn’t marked as DONE on any Nvidia GPU: https://nouveau.freedesktop.org/FeatureMatrix.html. Yours is NVE0 if you’re curious about what features you get or not.

Also, Librewolf is a fork of Firefox so what Firefox supports or not is VERY pertinent to your usage of Librewolf.

Install the Nvidia 470.xx drivers :smile:

yeah, no need to go through pain by installing nouveau & still poorer performance while Nvidia driver is supported.

nvidia-inst --bumblebee

2022-09-24 08:19:10: Info: Running: nvidia-inst v1.2-1
2022-09-24 08:19:10: Info: Command line: nvidia-inst --bumblebee
2022-09-24 08:19:10: Info: Selected mode: bumblebee
2022-09-24 08:19:15: Info: Adding user ss to group: bumblebee
2022-09-24 08:19:15: Info: Adding user ss to group: video
2022-09-24 08:19:15: Info: Enabling bumblebeed.service
2022-09-24 08:19:15: Info: Installing packages: bumblebee bbswitch-dkms nvidia-470xx-dkms nvidia-470xx-utils nvidia-470xx-settings
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
COMMANDS TO RUN:
    pacman -Syuq --noconfirm --noprogressbar --needed bumblebee bbswitch-dkms nvidia-470xx-dkms nvidia-470xx-utils nvidia-470xx-settings
    gpasswd -a ss bumblebee
    gpasswd -a ss video
    systemctl enable bumblebeed.service
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
2022-09-24 08:19:15: Error: 
   Sorry, nvidia-inst does not support installing packages from AUR.
   Consider using option --legacyrepo first. It adds a third party repo
   by @jonathon (see: https://gitlab.com/m2x.dev/kernel-lts/repository).

   Packages missing from currently configured repositories:
       nvidia-470xx-dkms nvidia-470xx-utils nvidia-470xx-settings
   Bailing out.

But when run the command it says “target not found”

sudo pacman -Syuq --noconfirm --noprogressbar --needed bumblebee bbswitch-dkms nvidia-470xx-dkms nvidia-470xx-utils nvidia-470xx-settings

:: Synchronizing package databases...
 core downloading...
 extra downloading...
 community downloading...
 multilib downloading...
 endeavouros downloading...
 home_ungoogled_chromium_Arch downloading...
error: target not found: nvidia-470xx-dkms
error: target not found: nvidia-470xx-utils
error: target not found: nvidia-470xx-settings

same out put if I run sudo pacman -Syuq --noconfirm --noprogressbar --needed nvidia-470.141.03-dkms nvidia-470.141.03-utils nvidia-470.141.03-settings

This is not the way i would install it. Try this and post the output. This is just a test.

nvidia-inst --series 470 -t

nvidia-inst --series 470 -t

2022-09-24 08:30:54: Info: Running: nvidia-inst v1.2-1
2022-09-24 08:30:54: Info: Command line: nvidia-inst --series 470 -t
2022-09-24 08:30:54: Info: Selected mode: nvidia
2022-09-24 08:30:54: Info: Patching kernel line with nvidia-drm.modeset=1
2022-09-24 08:30:55: Info: Installing packages: nvidia-470xx-dkms nvidia-470xx-utils nvidia-470xx-settings
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
COMMANDS TO RUN:
    pacman -Syuq --noconfirm --noprogressbar --needed nvidia-470xx-dkms nvidia-470xx-utils nvidia-470xx-settings
    nvidia-installer-kernel-para
    grub-mkconfig -o /boot/grub/grub.cfg
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

Try now

nvidia-inst --series 470

Edit: Then reboot

Check after with

inxi -Ga

nvidia-inst --series 470

2022-09-24 08:33:21: Info: Running: nvidia-inst v1.2-1
2022-09-24 08:33:21: Info: Command line: nvidia-inst --series 470
2022-09-24 08:33:21: Info: Selected mode: nvidia
2022-09-24 08:33:21: Info: Patching kernel line with nvidia-drm.modeset=1
2022-09-24 08:33:22: Info: Installing packages: nvidia-470xx-dkms nvidia-470xx-utils nvidia-470xx-settings
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
COMMANDS TO RUN:
    pacman -Syuq --noconfirm --noprogressbar --needed nvidia-470xx-dkms nvidia-470xx-utils nvidia-470xx-settings
    nvidia-installer-kernel-para
    grub-mkconfig -o /boot/grub/grub.cfg
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
2022-09-24 08:33:22: Error: 
   Sorry, nvidia-inst does not support installing packages from AUR.
   Consider using option --legacyrepo first. It adds a third party repo
   by @jonathon (see: https://gitlab.com/m2x.dev/kernel-lts/repository).

   Packages missing from currently configured repositories:
       nvidia-470xx-dkms nvidia-470xx-utils nvidia-470xx-settings
   Bailing out.

Okay lets try another way.

yay -S nvidia-470xx-dkms